Public API
Fetch tracked video data
Returns metadata, counters, events, and historical stat samples for up to 20 videos belonging to channels tracked by the authenticated Pro user.
POST
/
api
/
public
/
videos
Fetch tracked video data
curl --request POST \
--url https://monitoryt.com/api/public/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"videoIds": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({videoIds: ['<string>']})
};
fetch('https://monitoryt.com/api/public/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://monitoryt.com/api/public/videos"
payload = { "videoIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"videos": [
{
"video": {
"youtubeVideoId": "<string>",
"currentTitle": "<string>",
"currentThumbnailUrl": "<string>",
"publishedAt": 123,
"isMembersOnly": true,
"viewCount": 1,
"likeCount": 1,
"commentCount": 1,
"channel": {
"id": "<string>",
"youtubeChannelId": "<string>",
"title": "<string>",
"thumbnailUrl": "<string>"
}
},
"firstSeenAt": 123,
"historyWindowDays": 123,
"isGraphLocked": true,
"events": [
{
"id": "<string>",
"createdAt": 123,
"channel": {
"id": "<string>",
"youtubeChannelId": "<string>",
"title": "<string>",
"thumbnailUrl": "<string>"
},
"type": "video_published",
"video": {
"youtubeVideoId": "<string>",
"currentTitle": "<string>",
"currentThumbnailUrl": "<string>",
"publishedAt": 123,
"isMembersOnly": true,
"viewCount": 1,
"likeCount": 1,
"commentCount": 1
}
}
],
"statSamples": [
{
"viewCount": 1,
"likeCount": 1,
"commentCount": 1,
"createdAt": 123
}
]
}
],
"missingVideoIds": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"message": "<string>",
"details": "<unknown>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
JSON request body
Required array length:
1 - 20 elementsRequired string length:
1 - 32⌘I
Fetch tracked video data
curl --request POST \
--url https://monitoryt.com/api/public/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"videoIds": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({videoIds: ['<string>']})
};
fetch('https://monitoryt.com/api/public/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://monitoryt.com/api/public/videos"
payload = { "videoIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"videos": [
{
"video": {
"youtubeVideoId": "<string>",
"currentTitle": "<string>",
"currentThumbnailUrl": "<string>",
"publishedAt": 123,
"isMembersOnly": true,
"viewCount": 1,
"likeCount": 1,
"commentCount": 1,
"channel": {
"id": "<string>",
"youtubeChannelId": "<string>",
"title": "<string>",
"thumbnailUrl": "<string>"
}
},
"firstSeenAt": 123,
"historyWindowDays": 123,
"isGraphLocked": true,
"events": [
{
"id": "<string>",
"createdAt": 123,
"channel": {
"id": "<string>",
"youtubeChannelId": "<string>",
"title": "<string>",
"thumbnailUrl": "<string>"
},
"type": "video_published",
"video": {
"youtubeVideoId": "<string>",
"currentTitle": "<string>",
"currentThumbnailUrl": "<string>",
"publishedAt": 123,
"isMembersOnly": true,
"viewCount": 1,
"likeCount": 1,
"commentCount": 1
}
}
],
"statSamples": [
{
"viewCount": 1,
"likeCount": 1,
"commentCount": 1,
"createdAt": 123
}
]
}
],
"missingVideoIds": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"message": "<string>",
"details": "<unknown>"
}